FAVE-SPI FLAM Anti Virus Exit (FAVE) Service Provider Interface (SPI)

Macros
Function codes

Function codes for anti virus exit. More...

## Macros
#define | FAVE_FUNC_OPN 1
| Function code for opening (used in the first call of the exit function) More...
#define | FAVE_FUNC_RUN 2
| Function code for intermediate processing data. More...
#define | FAVE_FUNC_CLS 3
| Function code for closing (used in the last call of the exit function) More...

## Detailed Description

Function codes for anti virus exit.

The function codes below are passed to the exit function by the exit driver as the third parameter. It signals the current state to the exit function which may act accordingly. The function code also defines the format of the parameter structure. Only the union member of TuFavePar may be accessed that matches the function code.

## Macro Definition Documentation

## ◆ FAVE_FUNC_CLS

#define FAVE_FUNC_CLS 3

Function code for closing (used in the last call of the exit function)

## ◆ FAVE_FUNC_OPN

#define FAVE_FUNC_OPN 1

Function code for opening (used in the first call of the exit function)

## ◆ FAVE_FUNC_RUN

#define FAVE_FUNC_RUN 2

Function code for intermediate processing data.